<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('lms_courses', function (Blueprint $table) {
            $table->json('selected_units')->nullable()->after('overview_table');
            $table->json('selected_competencies')->nullable()->after('selected_units');
            $table->json('selected_sub_competencies')->nullable()->after('selected_competencies');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('lms_courses', function (Blueprint $table) {
            $table->dropColumn(['selected_units', 'selected_competencies', 'selected_sub_competencies']);
        });
    }
};
